Name:			SABnzbd
Version:		3.1.1
Release:		1%{?dist}
Epoch:			1
Summary:		An Open Source Binary Newsreader written in Python
License:		GPLv2
URL:			https://sabnzbd.org/

Source0:                https://github.com/sabnzbd/sabnzbd/releases/download/%{version}/%{name}-%{version}-src.tar.gz
Source1:		SABnzbd.sh
Source2:		SABnzbd.desktop
Source3:		SABnzbd.initd
Source4:		SABnzbd.sysconfig
Source5:                SABnzbd@.service
Source6:		SABnzbd.png

#Patch0:                 SABnzbd-python2.patch  

BuildArch:		noarch

BuildRequires:		desktop-file-utils
BuildRequires:		python3-devel
BuildRequires:		python3-setuptools
Requires:		pyOpenSSL
Requires:		python3-cheetah
Requires:		python3-feedparser
Requires:		python3-configobj
Requires:		python3-cherrypy

#Requires:		python-yenc

Requires:		python3-sabyenc3
Requires:		unrar
Requires:		unzip
Requires:		wget
Requires:		nc
Requires:		par2cmdline

%if 0%{?fedora} >= 19
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
BuildRequires: systemd
%else
Requires(post):		chkconfig
Requires(preun):	chkconfig
Requires(preun):	initscripts
Requires(postun):	initscripts
%endif

#Obsoletes:		SABnzbd-beta

%description
SABnzbd makes Usenet as simple and streamlined as possible by automating
everything it can. All you have to do is add an .nzb. SABnzbd takes over
from there, where it will be automatically downloaded, verified, repaired,
extracted and filed away with zero human interaction.

%prep
%setup -q -n SABnzbd-%{version}%{?sabrc}
#%patch0 -p1

%build

sed -i "s|@DATADIR@|%{_datadir}|g" %{SOURCE1} %{SOURCE2} %{SOURCE3}

%install

rm -rf %{buildroot}

#SABnzbd
%{__install} -d -m0755  %{buildroot}%{_datadir}/SABnzbd
# email interfaces po util tools sabnzbd cherrypy SABnzbd.py* icons gntp; do
for dir in email interfaces po sabnzbd icons locale tests linux licenses tools scripts SABnzbd.py; do
    %{__cp} -a %{_builddir}/SABnzbd-%{version}%{?sabrc}/$dir %{buildroot}%{_datadir}/SABnzbd
done

#start script
%{__install} -d -m0755 %{buildroot}%{_bindir}
%{__install} -D -m0755 %{SOURCE1} %{buildroot}%{_bindir}/SABnzbd

#desktop file
%{__install} -d -m0755 %{buildroot}%{_datadir}/applications 
desktop-file-install --vendor fedora --dir %{buildroot}%{_datadir}/applications %{SOURCE2}

#init script
%if 0%{?fedora} >= 19
%{__install} -d -m0755 %{buildroot}/usr/lib/systemd/system/
%{__install} -D -m0755 %{SOURCE5} %{buildroot}/usr/lib/systemd/system/
%else
%{__install} -d -m0755 %{buildroot}%{_sysconfdir}/init.d
%{__install} -D -m0755 %{SOURCE3} %{buildroot}%{_sysconfdir}/init.d/SABnzbd
%{__install} -d -m0755 %{buildroot}%{_sysconfdir}/sysconfig
%{__install} -D -m0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/SABnzbd
%endif
%{__mkdir} -p %{buildroot}%{_datadir}/pixmaps/
%{__install} -D -m0644 %{SOURCE6} %{buildroot}%{_datadir}/pixmaps/%{name}.png

%py_byte_compile %{__python3} %{buildroot}%{_datadir}/SABnzbd/

%files
%defattr(-,root,root,-)
%doc ISSUES.txt COPYRIGHT.txt GPL2.txt GPL3.txt INSTALL.txt LICENSE.txt scripts/Sample-PostProc.sh licenses/*
%{_bindir}/SABnzbd
%{_datadir}/SABnzbd
%{_datadir}/applications/fedora-SABnzbd.desktop
%if 0%{?fedora} >= 19
/usr/lib/systemd/system/SABnzbd@.service
%else
%{_sysconfdir}/init.d/SABnzbd
%config(noreplace) %{_sysconfdir}/sysconfig/SABnzbd
%endif
%{_datadir}/pixmaps/%{name}.png


%post
%if 0%{?fedora} >= 19
%systemd_post SABnzbd@.service
%else
update-desktop-database &>/dev/null ||:
/sbin/chkconfig --add SABnzbd
%endif

%preun
%if 0%{?fedora} >= 19
%systemd_preun SABnzbd@.service
%else
if [ $1 = 0 ] ; then
    /sbin/service SABnzbd stop >/dev/null 2>&1
    /sbin/chkconfig --del SABnzbd
fi
%endif

%postun
%if 0%{?fedora} >= 19
%systemd_postun_with_restart SABnzbd@.service
%else
if [ "$1" -ge "1" ] ; then
    /sbin/service SABnzbd condrestart >/dev/null 2>&1 || :
fi
update-desktop-database &> /dev/null ||:
%endif

%changelog
* Sat Nov 14 2020 josef radinger <cheese@nosuchhost.net> - 1:3.1.1-1
- bump version
- cleanup

* Sat Oct 17 2020 josef radinger <cheese@nosuchhost.net> - 1:3.1.0-1
- bump version

* Mon Aug 31 2020 josef radinger <cheese@nosuchhost.net> - 1:3.0.2-1
- bump version
- remove ABOUT.txt

* Fri Aug 21 2020 josef radinger <cheese@nosuchhost.net> - 1:3.0.1-1
- bump version

* Sun Aug 02 2020 josef radinger <cheese@nosuchhost.net> - 1:3.0.0-1
- bump version
- switch to python3 (remove patch0)
- add Requires on feedparser, configobj, cherrypy
- add Requires on python3-sabyenc3

* Wed Dec 04 2019 josef radinger <cheese@nosuchhost.net> - 1:2.3.9-2
- add python compile
- remove support for rhel5
- spec-file cleanup:
  remove %%clean-section
  remove Buildroot + Group-tags
- remove obsoletes, as this is exremly old now

* Sun May 26 2019 josef radinger <cheese@nosuchhost.net> - 1:2.3.9-1
- bump version

* Wed May 01 2019 josef radinger <cheese@nosuchhost.net> - 1:2.3.8-2
- use explicitly python2 in several places 

* Sat Mar 23 2019 josef radinger <cheese@nosuchhost.net> - 1:2.3.8-1
- bump version

* Wed Jan 16 2019 josef radinger <cheese@nosuchhost.net> - 1:2.3.7-1
- bump version

* Sat Dec 22 2018 josef radinger <cheese@nosuchhost.net> - 1:2.3.6-1
- bump version

* Sat Sep 08 2018 josef radinger <cheese@nosuchhost.net> - 1:2.3.5-1
- bump version

* Fri May 25 2018 josef radinger <cheese@nosuchhost.net> - 1:2.3.4-1
- bump version

* Tue Apr 24 2018 josef radinger <cheese@nosuchhost.net> - 1:2.3.3-1
- bump version

* Sun Dec 31 2017 josef radinger <cheese@nosuchhost.net> - 1:2.3.2-1
- bump version

* Fri Oct 27 2017 josef radinger <cheese@nosuchhost.net> - 1:2.3.1-1
- bump version

* Tue Oct 24 2017 josef radinger <cheese@nosuchhost.net> - 1:2.3.0-2
- add icon

* Sat Sep 23 2017 josef radinger <cheese@nosuchhost.net> - 1:2.3.0-1
- bump version

* Sun Aug 27 2017 josef radinger <cheese@nosuchhost.net> - 1:2.2.1-1
- bump version

* Fri Aug 18 2017 josef radinger <cheese@nosuchhost.net> - 1:2.2.0-1
- bump version

* Sat Jun 10 2017 josef radinger <cheese@nosuchhost.net> - 1:2.1.0-1
- bump version

* Wed May 24 2017 josef radinger <cheese@nosuchhost.net> - 1:2.0.1-1
- bump version

* Sat Apr 29 2017 josef radinger <cheese@nosuchhost.net> - 1:2.0.0-2
- add dependency on python-sabyenc

* Sun Apr 09 2017 josef radinger <cheese@nosuchhost.net> - 1:2.0.0-1
- bump version

* Sun Mar 19 2017 josef radinger <cheese@nosuchhost.net> - 1:1.2.3-1
- bump version

* Sun Feb 26 2017 josef radinger <cheese@nosuchhost.net> - 1:1.2.2-1
- bump version

* Sun Jan 15 2017 josef radinger <cheese@nosuchhost.net> - 1:1.2.0-1
- bump version

* Sat Nov 19 2016 josef radinger <cheese@nosuchhost.net> - 1:1.1.1-1
- bump version
- fix download url

* Tue Sep 20 2016 josef radinger <cheese@nosuchhost.net> - 1:1.1.0-1
- bump version

* Fri Aug 12 2016 josef radinger <cheese@nosuchhost.net> - 1.1.0RC3-1
- bump version

* Sun Jun 05 2016 josef radinger <cheese@nosuchhost.net> - 1.0.3-1
- bump version

* Fri May 13 2016 josef radinger <cheese@nosuchhost.net> - 1.0.2-1
- bump version

* Wed Mar 16 2016 josef radinger <cheese@nosuchhost.net> - 1.0.0-1
- bump version
- remove patch0
- adjust filelist

* Sat Nov 22 2014 josef radinger <cheese@nosuchhost.net> - 0.7.20-1
- bump version

* Sun Nov 02 2014 josef radinger <cheese@nosuchhost.net> - 0.7.19-1
- bump version

* Sun Jul 06 2014 josef radinger <cheese@nosuchhost.net> - 0.7.18-1
- bump version

* Sun Jun 22 2014 josef radinger <cheese@nosuchhost.net> - 0.7.17-6
- initial version

